SET ROLE 'mo_osmo';

CREATE TYPE score_mode AS ENUM (
	'basic',			-- základní mód výsledkovky se sdílenými místy
	'mo'				-- jednoznačné pořadí podle pravidel MO
);

ALTER TABLE rounds
	ADD COLUMN	score_mode	score_mode	NOT NULL DEFAULT 'basic',	-- mód výsledkovky
	ADD COLUMN	score_winner_limit	int	DEFAULT NULL,			-- bodový limit na označení za vítěze
	ADD COLUMN	score_successful_limit	int	DEFAULT NULL;			-- bodový limit na označení za úspěšného řešitele
