SET ROLE 'mo_osmo';

-- Zprávičky k soutěžím

ALTER TABLE rounds
	ADD COLUMN has_messages	boolean		NOT NULL DEFAULT false;			-- má zprávičky

CREATE TABLE messages (
	message_id	serial		PRIMARY KEY,
	round_id	int		NOT NULL REFERENCES rounds(round_id),
	created_at	timestamp with time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,	-- čas publikování zprávičky
	created_by	int		NOT NULL REFERENCES users(user_id),		-- autor zprávičky
	title		text		NOT NULL,
	markdown	text		NOT NULL,
	html		text		NOT NULL
);
